org.apache.sysds.lops

## Enum Ctable.OperationTypes

- java.lang.Object
- - java.lang.Enum<Ctable.OperationTypes>
  - - org.apache.sysds.lops.Ctable.OperationTypes

- All Implemented Interfaces:
    Serializable, Comparable<Ctable.OperationTypes>
  Enclosing class:
    Ctable

      public static enum Ctable.OperationTypes
      extends Enum<Ctable.OperationTypes>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CTABLE_EXPAND_SCALAR_WEIGHT`
    `CTABLE_TRANSFORM`
    `CTABLE_TRANSFORM_HISTOGRAM`
    `CTABLE_TRANSFORM_SCALAR_WEIGHT`
    `CTABLE_TRANSFORM_WEIGHTED_HISTOGRAM`
    `INVALID`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasSecondInput()`
    `boolean` | `hasThirdInput()`
    `static Ctable.OperationTypes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Ctable.OperationTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CTABLE_TRANSFORM

          public static final Ctable.OperationTypes CTABLE_TRANSFORM

    - #### CTABLE_TRANSFORM_SCALAR_WEIGHT

          public static final Ctable.OperationTypes CTABLE_TRANSFORM_SCALAR_WEIGHT

    - #### CTABLE_TRANSFORM_HISTOGRAM

          public static final Ctable.OperationTypes CTABLE_TRANSFORM_HISTOGRAM

    - #### CTABLE_TRANSFORM_WEIGHTED_HISTOGRAM

          public static final Ctable.OperationTypes CTABLE_TRANSFORM_WEIGHTED_HISTOGRAM

    - #### CTABLE_EXPAND_SCALAR_WEIGHT

          public static final Ctable.OperationTypes CTABLE_EXPAND_SCALAR_WEIGHT

    - #### INVALID

          public static final Ctable.OperationTypes INVALID

  - ### Method Detail

    - #### values

          public static Ctable.OperationTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Ctable.OperationTypes c : Ctable.OperationTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Ctable.OperationTypes valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### hasSecondInput

          public boolean hasSecondInput()

    - #### hasThirdInput

          public boolean hasThirdInput()

Copyright © 2020 The Apache Software Foundation. All rights reserved.